<?php
@include('conf/dbc.php');
@include('conf/session_start.php');
@include('conf/ban.php');
$page_title = 'Каланча';
@include('conf/head.php');
@include('conf/top.php');
$time=time();
$log=abs(intval($_SESSION['id']));
$query = "Select * from `kalancha` WHERE `id` = '$log' LIMIT 1";
$for= mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
$avto = mysqli_num_rows($for);
$fort = mysqli_fetch_array($for);
echo'<br/><p class="name">Кланч</p>';
switch($_GET[mod]){
default:
if($avto==0){
$pdo->exec("INSERT INTO `kalancha` SET `id` = '$log', `kapital`='0'");
}
echo"<div class='npc_title'>
<img src='img/kalancha.png' style='float:left;margin-right:5px;'/>
		<b>Имя:</b> <b style='color:#faaa05'>Кланч</b></br>
		<b>Ранг:</b> Опытный<br/>
		<b>Расса:</b>Весельчак<br/>
</div>
<div class='npc_border'></div>";
echo'<div class="npc_title">Здравствуй дружище!,</br> <span style=color:#007F46><b>'.$udata[nick].'</span></b> вижу, ты хочешь поиграть в азартные игры? Тогда для тебя здесь есть несколько игр на твою удачливость и смекалку!</p></div>
<div class="npc_border"></div>';
 if(!empty($_GET['err'])) {?>
   <?php if ($_GET['err']==1) {echo"<div class='info' style='color:#FFFFFF;border:1px solid #C51A01;background-color:#C51A01'>У вас нет больше попыток</div>";}?>
     <?php }
if($udata[bar_game]>0){
echo"<div class='npc_title'>
<p><span class='net'>Осталось попыток: </span><span class='bonus'>$udata[bar_game]</span></div><div class='npc_border'></div>
<div class='r6'><div class=inoy><a href=\"kalancha.php?mod=1-3\"><img src='inc/arrow.png' width='12' height='12'/> Угадай число от 1 до 3</a></p>
<a href=\"kalancha.php?mod=1-5\"><img src='inc/arrow.png' width='12' height='12'/> Угадай число от 1 до 5</a></p>
<a href=\"kalancha.php?mod=1-10\"><img src='inc/arrow.png' width='12' height='12'/> Угадай число от 1 до 10</a></p>
<a href=\"kalancha.php?mod=band\"><img src='inc/arrow.png' width='12' height='12'/> Однорукий бандит</a></p></div></div>";}
else{echo"<div class='npc_title'>
<p><span class='red'>У вас нет больше попыток!</span></p><span class='bonus'>1 попытка восстанавливается 5 минут</span></div><div class='npc_border'></div>";}
echo'<div class="r6"><b><span style=color:#126478;font-size:15px;margin:12px;>Ваш выигрыш:</span></b><img src="img/ico/money.png" width="12" height="12"/> <span style=color:#7E7143;><b>'.$fort[kapital].'</b></span><p>
<div class=inoy><a href="kalancha.php?mod=out"><img src="inc/arrow.png" width="12" height="12"/> Забрать выйгрыш</a> <p>
<a href="bar.php"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div></div>';
break;

case '1-3':
if($udata['bar_game']<=0) {
header('location: kalancha.php?err=1');
exit();}
if(empty($_POST[stav]) or empty($_POST[sta])){
echo"<div class='npc_title'>
<img src='img/kalancha.png'  width='45' height='45' style='float:left;margin-right:5px;'/>
		Я загадал число, если ты его отгадаешь, <br>то твоя ставка умножится в 2.5 раза!<br/>
</div><div class='npc_border'></div>
<form action=\"kalancha.php?mod=1-3\" method=\"post\">";
echo 'Ставка: (от 4 до 100 <img src="img/ico/money.png" width="12" height="12"/>Золота)<br/>';
echo '<input class="input" type="text" name="stav" size="8" value="20" /><br/><b>
<input type="radio" name="sta" value="1" CHECKED /> 1<br />
<input type="radio" name="sta" value="2" /> 2<br />
<input type="radio" name="sta" value="3" /> 3<br /></b> 
<input type="submit" value="Играть" /></form>
<div class=inoy><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>
';}else{
$rand=rand(1,3);
if($_POST[stav]<4 or $_POST[stav]>100){echo'Неверная ставка!<br>
<div class=inoy><a href="kalancha.php?mod=1-3"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';break;}
if($udata[money]<$_POST[stav]){echo'Не хватает <img src="img/ico/money.png" width="12" height="12"/>Золота!<br>
<div class=inoy><a href="kalancha.php?mod=1-3"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';break;}
$vig=ceil($_POST[stav]*2.5);
$vse=$vig+$fort[kapital];
if($rand==$_POST[sta]){
echo'<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Верно! Я загадал число <b>'.$rand.'</b>. Ты выиграл <b>'.$vig.'</b> <img src="img/ico/money.png" width="12" height="12"/>Золота, весь выигрыш '.$vse.' <img src="img/ico/money.png" width="12" height="12"/>Rub!<br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-3"><img src="inc/arrow.png" width="12" height="12"/> Сыграть ещё</a>
</p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE kalancha SET kapital = '$fort[kapital]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET viig = '$fort[viig]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}else{
echo'
<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Неудача!</p> Я загадал число <b>'.$rand.'</b><br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-3"><img src="inc/arrow.png" width="12" height="12"/> Попробовать снова</a>
<p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}
}
break;

case '1-5':
if($udata['bar_game']<=0) {
header('location: kalancha.php?err=1');
exit();}
if(empty($_POST[stav]) or empty($_POST[sta])){
echo"<div class='npc_title'>
<img src='img/kalancha.png'  width='45' height='45' style='float:left;margin-right:5px;'/>
Я загадал число, если ты его отгадаешь, <br>то твоя ставка умножится в 5 раз!<br/>
</div><div class='npc_border'></div>
<form action=\"kalancha.php?mod=1-5\" method=\"post\">";
echo 'Ставка: (от 10 до 200 <img src="img/ico/money.png" width="12" height="12"/>Золота)<br/>';
echo '<input class="input" type="text" name="stav" size="8" value="50" /><br/><b>
<input type="radio" name="sta" value="1" CHECKED /> 1<br />
<input type="radio" name="sta" value="2" /> 2<br />
<input type="radio" name="sta" value="3" /> 3<br />
<input type="radio" name="sta" value="4" /> 4<br />
<input type="radio" name="sta" value="5" /> 5<br /></b> 
<input type="submit" value="Играть" /></form><a href="kalancha.php?">Назад</a>
';}else{
$rand=rand(1,5);
if($_POST[stav]<10 or $_POST[stav]>200){echo'Неверная ставка!<br><a href="kalancha.php?mod=1-5">Назад</a>';break;}
if($udata[money]<$_POST[stav]){echo'Не хватает  <img src="img/ico/money.png" width="12" height="12"/>Золота!
<br><a href="kalancha.php?mod=1-5">Назад</a>';break;}
$vig=ceil($_POST[stav]*5);
$vse=$vig+$fort[kapital];
if($rand==$_POST[sta]){
echo'<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Верно! Я загадал число <b>'.$rand.'</b>. Ты выиграл <b>'.$vig.'</b> Золота, весь выигрыш '.$vse.' Золота!<br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-5"><img src="inc/arrow.png" width="12" height="12"/> Сыграть ещё</a>
<p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE kalancha SET kapital = '$fort[kapital]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET viig = '$fort[viig]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}else{
echo'<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Неудача!</p> Я загадал число <b>'.$rand.'</b><br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-5"><img src="inc/arrow.png" width="12" height="12"/> Попробовать снова</a>
<p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}
}
break;

case '1-10':
if($udata['bar_game']<=0) {
header('location: kalancha.php?err=1');
exit();}
if(empty($_POST[stav]) or empty($_POST[sta])){
echo"<div class='npc_title'>
<img src='img/kalancha.png'  width='45' height='45' style='float:left;margin-right:5px;'/>
Хочешь попытать удачу? Я загадал число, если ты его отгадаешь, то твоя ставка умножится в 10 раз!<br/>
</div><div class='npc_border'></div>
<form action=\"kalancha.php?mod=1-10\" method=\"post\">";
echo 'Ставка: (от 20 до 500 <img src="img/ico/money.png" width="12" height="12"/>Золота)<br/>';
echo '<input class="input" type="text" name="stav" size="8" value="100" /><br/><b>
<input type="radio" name="sta" value="1" CHECKED /> 1
<input type="radio" name="sta" value="2" /> 2
<input type="radio" name="sta" value="3" /> 3<br />
<input type="radio" name="sta" value="4" /> 4
<input type="radio" name="sta" value="5" /> 5
<input type="radio" name="sta" value="6" /> 6<br />
<input type="radio" name="sta" value="7" /> 7
<input type="radio" name="sta" value="8" /> 8
<input type="radio" name="sta" value="9" /> 9<br />
<input type="radio" name="sta" value="10" /> 10<br /></b> 
<input type="submit" value="Играть" /></form><a href="kalancha.php?">Назад</a>
';}else{
$rand=rand(1,10);
if($_POST[stav]<20 or $_POST[stav]>500){echo'Неверная ставка!<br><a href="kalancha.php?mod=1-10">Назад</a>';break;}
if($udata[money]<$_POST[stav]){echo'Не хватает монет!<br><a href="kalancha.php?mod=1-10">Назад</a>';break;}
$vig=ceil($_POST[stav]*10);
$vse=$vig+$fort[kapital];
if($rand==$_POST[sta]){
echo'<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Тебе крупно подфартило! Я загадал число <b>'.$rand.'</b>. Ты выиграл <b>'.$vig.'</b> монет, весь выигрыш '.$vse.' монет!<br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-10"><img src="inc/arrow.png" width="12" height="12"/> Сыграть ещё</a>
<p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE kalancha SET kapital = '$fort[kapital]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET viig = '$fort[viig]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}else{
echo'<div class="npc_title">
<img src="img/kalancha.png"  width="45" height="45" style="float:left;margin-right:5px;"/>
Неудача! Я загадал число <b>'.$rand.'</b> , не печалься, в следующий раз повезет!<br>
</div><div class="npc_border"></div>
<div class=inoy><a href="kalancha.php?mod=1-10"><img src="inc/arrow.png" width="12" height="12"/> Попробовать снова</a>
<p><a href="kalancha.php?"><img src="img/ico/left.png" width="12" height="12"/> Назад</a></div>';
$pdo->exec("UPDATE users SET bar_game=bar_game -1, money = '$udata[money]'-'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stav])."' WHERE id = '$log'");
}
}
break;

case 'out':
if(empty($_POST[kolvo])){
echo'Ваш выигрыш '.$fort[kapital].' <img src="img/ico/money.png" width="12" height="12"/>Золота<br />
Введите сумму:</br>';
echo "<form action=\"kalancha.php?mod=out\" method=\"post\">";
echo '<input name="kolvo" type="text"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';echo"$div <a href=\"kalancha.php?\">Назад</a>";
}else{
if($_POST[kolvo]<1){echo"Неверная сумма!";break;}
if($_POST[kolvo]>$fort[kapital]){echo"Нехватает монет!";break;}
$summ=$udata[money]+$_POST[kolvo];
$vig=$fort[kapital]-$_POST[kolvo];
$pdo->exec("UPDATE `users` SET `money` = '$summ' WHERE `id` = '$log' ");
$pdo->exec("UPDATE kalancha SET kapital = '$vig' WHERE id = '$log'");
echo'<img src="/img/ok.png" alt="*"/> Вы забрали <b>'.$_POST[kolvo].'</b> <img src="img/ico/money.png" width="12" height="12"/>Золота! осталось '.$vig.'<br/>';
echo"<a href=\"kalancha.php?\">Назад</a>";
}
break;

case 'band':
if($udata['bar_game']<=0) {
header('location: kalancha.php?err=1');
exit();}
if(empty($_GET[action])){ 
echo"<div class='npc_title'>
<img src='img/kalancha.png'  width='45' height='45' style='float:left;margin-right:5px;'/>
Любишь азарт? А выигрывая, чувствуешь адреналин? Играй и получай призы<br>
</div><div class='npc_border'></div>
<form action=\"kalancha.php?mod=band&action=go&r=$r\" method=\"post\">";
echo 'Ставка: (от 5 до 250 <img src="img/ico/money.png" width="12" height="12"/>Золота)<br/>';
echo '<input class="input" type="text" name="stavka" size="8" value="30" /><br><br>';
echo'- <img src="/img/bar/bandit/1.gif" alt=""> <img src="/img/bar/bandit/2.gif" alt=""> <img src="/img/bar/bandit/3.gif" alt=""> -<br>';  
echo'- <img src="/img/bar/bandit/7.gif" alt=""> <img src="/img/bar/bandit/7.gif" alt=""> <img src="/img/bar/bandit//7.gif" alt=""> -<br>';  
echo'- <img src="/img/bar/bandit/4.gif" alt=""> <img src="/img/bar/bandit/5.gif" alt=""> <img src="/img/bar/bandit//6.gif" alt=""> -<br>';  

echo'<br><input type="submit" value="Играть" /></form>';
echo'<a href="kalancha.php?mod=bandfaq">Помощь</a><br>';  
echo'<a href="kalancha.php?">Назад</a>';
    }
if(!empty($_GET[action])){ 

$num1 = mt_rand(1, 8);
$num2 = mt_rand(1, 8);
$num3 = mt_rand(1, 8);
$num4 = mt_rand(1, 8);
///////уменьшаем шанс выпадения 7 в центре
$num_a= mt_rand(1, 6);
$num_b= mt_rand(1, 6);
$num_c = mt_rand(1, 8);
$num_d = array($num_a, $num_b, $num_c);
$num_e = mt_rand(0, 2); 
$num5 = $num_d[$num_e];
///////
$num6 = mt_rand(1, 8);
$num7 = mt_rand(1, 8);
$num8 = mt_rand(1, 8);
$num9 = mt_rand(1, 8);

$rand = mt_rand(100, 999);
$r=rand(100000000000,999999999999);
echo "<form action=\"kalancha.php?mod=band&action=go&r=$r\" method=\"post\">";

echo 'Ваш выигрыш: <b>'.$fort[kapital].'</b><br>Ставка: (от 5 до 250 <img src="img/ico/money.png" width="12" height="12"/>Золота)<br/>';
echo '<input class="input" type="text" name="stavka" size="8" value="'.htmlspecialchars($_POST[stavka]).'" /><br><br>';
echo'- <img src="/img/bar/bandit/'.$num1.'.gif" alt=""> <img src="/img/bar/bandit/'.$num2.'.gif" alt=""> <img src="/img/bar/bandit/'.$num3.'.gif" alt=""> -<br>';
echo'- <img src="/img/bar/bandit/'.$num4.'.gif" alt=""> <img src="/img/bar/bandit/'.$num5.'.gif" alt=""> <img src="/img/bar/bandit/'.$num6.'.gif" alt=""> -<br>'; 
echo'- <img src="/img/bar/bandit/'.$num7.'.gif" alt=""> <img src="/img/bar/bandit/'.$num8.'.gif" alt=""> <img src="/img/bar/bandit/'.$num9.'.gif" alt=""> -<br>'; 
echo'<br><input type="submit" value="Играть" /></form><br>';
/////////////////////////////////линии//////////////////////////////
if ($num1 == 1 and $num2 == $num1 and $num3 == $num1) {echo'Вишенки-вехний ряд<br>'; $sum+="1.5";}
if ($num4 == 1 and $num5 == $num4 and $num6 == $num4) {echo'Вишенки-средний ряд<br>'; $sum+="2";}
if ($num7 == 1 and $num8 == $num7 and $num9 == $num7) {echo'Вишенки-нижний ряд<br>';  $sum+="1.5";}

if ($num1 == 2 and $num2 == $num1 and $num3 == $num1) {echo'Апельсины-вехний ряд<br>'; $sum+="1.5";}
if ($num4 == 2 and $num5 == $num4 and $num6 == $num4) {echo'Апельсины-средний ряд<br>'; $sum+="2.5";}
if ($num7 == 2 and $num8 == $num7 and $num9 == $num7) {echo'Апельсины-нижний ряд<br>'; $sum+="1.5";}

if ($num1 == 3 and $num2 == $num1 and $num3 == $num1) {echo'Виноград-вехний ряд<br>'; $sum+="2";}
if ($num4 == 3 and $num5 == $num4 and $num6 == $num4) {echo'Виноград-средний ряд<br>'; $sum+="2.5";}
if ($num7 == 3 and $num8 == $num7 and $num9 == $num7) {echo'Виноград-нижний ряд<br>'; $sum+="2";}

if ($num1 == 4 and $num2 == $num1 and $num3 == $num1) {echo'Бананы-вехний ряд<br>'; $sum+="2.5";}
if ($num4 == 4 and $num5 == $num4 and $num6 == $num4) {echo'Бананы-средний ряд<br>'; $sum+="3";}
if ($num7 == 4 and $num8 == $num7 and $num9 == $num7) {echo'Бананы-нижний ряд<br>'; $sum+="2.5";}

if ($num1 == 5 and $num2 == $num1 and $num3 == $num1) {echo'Яблоки-вехний ряд<br>'; $sum+="3";}
if ($num4 == 5 and $num5 == $num4 and $num6 == $num4) {echo'Яблоки-средний ряд<br>'; $sum+="3.5";}
if ($num7 == 5 and $num8 == $num7 and $num9 == $num7) {echo'Яблоки-нижний ряд<br>'; $sum+="3";}

if ($num1 == 6 and $num2 == $num1 and $num3 == $num1) {echo'BAR-вехний ряд<br>'; $sum+="4";}
if ($num4 == 6 and $num5 == $num4 and $num6 == $num4) {echo'BAR-средний ряд<br>'; $sum+="5";}
if ($num7 == 6 and $num8 == $num7 and $num9 == $num7) {echo'BAR-нижний ряд<br>'; $sum+="4";}

if ($num1 == 7 and $num2 == $num1 and $num3 == $num1) {echo'777-вехний ряд<br>'; $sum+="25";}
if ($num4 == 7 and $num5 == $num4 and $num6 == $num4) {echo'777-средний ряд<br>'; $sum+="30";}
if ($num7 == 7 and $num8 == $num7 and $num9 == $num7) {echo'777-нижний ряд<br>'; $sum+="20";}

if ($num1 == 8 and $num2 == $num1 and $num3 == $num1) {echo'$$$-вехний ряд<br>'; $sum+="5";}
if ($num4 == 8 and $num5 == $num4 and $num6 == $num4) {echo'$$$-средний ряд<br>'; $sum+="5.5";}
if ($num7 == 8 and $num8 == $num7 and $num9 == $num7) {echo'$$$-нижний ряд<br>'; $sum+="5";}

/////////////////////////////////столбцы//////////////////////////////


if ($num1 == 1 and $num4 == $num1 and $num7 == $num1) {echo'Вишенки-левый столбец<br>';  $sum+="1.5";}
if ($num2 == 1 and $num5 == $num2 and $num8 == $num2) {echo'Вишенки-средний столбец<br>';  $sum+="1.5";}
if ($num3 == 1 and $num6 == $num3 and $num9 == $num3) {echo'Вишенки-правый столбец<br>';  $sum+="1.5";}

if ($num1 == 2 and $num4 == $num1 and $num7 == $num1) {echo'Апельсины-левый столбец<br>'; $sum+="1.5";}
if ($num2 == 2 and $num5 == $num2 and $num8 == $num2) {echo'Апельсины-средний столбец<br>'; $sum+="2";}
if ($num3 == 2 and $num6 == $num3 and $num9 == $num3) {echo'Апельсины-правый столбец<br>'; $sum+="1.5";}

if ($num1 == 3 and $num4 == $num1 and $num7 == $num1) {echo'Виноград-левый столбец<br>'; $sum+="2";}
if ($num2 == 3 and $num5 == $num2 and $num8 == $num2) {echo'Виноград-средний столбец<br>'; $sum+="2.5";}
if ($num3 == 3 and $num6 == $num3 and $num9 == $num3) {echo'Виноград-правый столбец<br>'; $sum+="2";}

if ($num1 == 4 and $num4 == $num1 and $num7 == $num1) {echo'Бананы-левый столбец<br>'; $sum+="2.5";}
if ($num2 == 4 and $num5 == $num2 and $num8 == $num2) {echo'Бананы-средний столбец<br>'; $sum+="3";}
if ($num3 == 4 and $num6 == $num3 and $num9 == $num3) {echo'Бананы-правый столбец<br>'; $sum+="2.5";}

if ($num1 == 5 and $num4 == $num1 and $num7 == $num1) {echo'Яблоки-левый столбец<br>'; $sum+="3";}
if ($num2 == 5 and $num5 == $num2 and $num8 == $num2) {echo'Яблоки-средний столбец<br>'; $sum+="3.5";}
if ($num3 == 5 and $num6 == $num3 and $num9 == $num3) {echo'Яблоки-правый столбец<br>'; $sum+="3";}

if ($num1 == 6 and $num4 == $num1 and $num7 == $num1) {echo'BAR-левый столбец<br>'; $sum+="4";}
if ($num2 == 6 and $num5 == $num2 and $num8 == $num2) {echo'BAR-средний столбец<br>'; $sum+="5";}
if ($num3 == 6 and $num6 == $num3 and $num9 == $num3) {echo'BAR-правый столбец<br>'; $sum+="4";}

if ($num1 == 7 and $num4 == $num1 and $num7 == $num1) {echo'777-левый столбец<br>'; $sum+="25";}
if ($num2 == 7 and $num5 == $num2 and $num8 == $num2) {echo'777-средний столбец<br>'; $sum+="30";}
if ($num3 == 7 and $num6 == $num3 and $num9 == $num3) {echo'777-правый столбец<br>'; $sum+="20";}

if ($num1 == 8 and $num4 == $num1 and $num7 == $num1) {echo'$$$-левый столбец<br>'; $sum+="5";}
if ($num2 == 8 and $num5 == $num2 and $num8 == $num2) {echo'$$$-средний столбец<br>'; $sum+="5.5";}
if ($num3 == 8 and $num6 == $num3 and $num9 == $num3) {echo'$$$-правый столбец<br>'; $sum+="5";}

///////////////////// по диагонали /////////////////////////////////////////

if ($num1 == 1 and $num5 == $num1 and $num9 == $num1) {echo'Вишенки-по диагонали<br>';  $sum+="1.5";}
if ($num3 == 1 and $num5 == $num3 and $num7 == $num3) {echo'Вишенки-по диагонали<br>';  $sum+="1.5";}

if ($num1 == 2 and $num5 == $num1 and $num9 == $num1) {echo'Апельсины-по диагонали<br>';  $sum+="1.5";}
if ($num3 == 2 and $num5 == $num3 and $num7 == $num3) {echo'Апельсины-по диагонали<br>';  $sum+="1.5";}

if ($num1 == 3 and $num5 == $num1 and $num9 == $num1) {echo'Виноград-по диагонали<br>';  $sum+="2";}
if ($num3 == 3 and $num5 == $num3 and $num7 == $num3) {echo'Виноград-по диагонали<br>';  $sum+="2";}

if ($num1 == 4 and $num5 == $num1 and $num9 == $num1) {echo'Бананы-по диагонали<br>';  $sum+="2.5";}
if ($num3 == 4 and $num5 == $num3 and $num7 == $num3) {echo'Бананы-по диагонали<br>';  $sum+="2.5";}

if ($num1 == 5 and $num5 == $num1 and $num9 == $num1) {echo'Яблоки-по диагонали<br>';  $sum+="3";}
if ($num3 == 5 and $num5 == $num3 and $num7 == $num3) {echo'Яблоки-по диагонали<br>';  $sum+="3";} 

if ($num1 == 6 and $num5 == $num1 and $num9 == $num1) {echo'BAR-по диагонали<br>';  $sum+="5";}
if ($num3 == 6 and $num5 == $num3 and $num7 == $num3) {echo'BAR-по диагонали<br>';  $sum+="5";}

if ($num1 == 7 and $num5 == $num1 and $num9 == $num1) {echo'777-по диагонали<br>';  $sum+="15";}
if ($num3 == 7 and $num5 == $num3 and $num7 == $num3) {echo'777-по диагонали<br>';  $sum+="15";}

if ($num1 == 8 and $num5 == $num1 and $num9 == $num1) {echo'$$$-по диагонали<br>';  $sum+="6";}
if ($num3 == 8 and $num5 == $num3 and $num7 == $num3) {echo'$$$-по диагонали<br>';  $sum+="6";}
if($_POST[stavka]<5 or $_POST[stavka]>250){echo'Неверная ставка!<br><a href="kalancha.php?mod=band">Назад</a>';break;}
if($udata[money]<$_POST[stavka]){echo'Не хватает монет!<br><a href="kalancha.php?mod=band">Назад</a>';break;}
$vig=round($_POST[stavka]*$sum);
$vse=$vig+$fort[kapital];


$babki=$udata[money]-$_POST[stavka];


if(!empty($sum)){echo'Ваш выигрыш составил: <b>'.$vig.'</b><br>';
$pdo->exec("UPDATE `users` SET `money` = '$babki' WHERE `id` = '$log' ");
$pdo->exec("UPDATE kalancha SET kapital = '$vse' WHERE id = '$log'");
}else{echo'Невыигрышная комбинация.</b><br>';
$pdo->exec("UPDATE `users` SET `money` = '$babki' WHERE `id` = '$log' ");
}
$pdo->exec("UPDATE kalancha SET viig = '$fort[viig]'+'$vig' WHERE id = '$log'");
$pdo->exec("UPDATE kalancha SET proig = '$fort[proig]'+'".htmlspecialchars($_POST[stavka])."' WHERE id = '$log'");
echo'<a href="kalancha.php?mod=bandfaq">Помощь</a><br>'; 
echo'<a href="kalancha.php?">Назад</a>';
}
break;

case 'bandfaq':
echo'<img src="/img/kalancha.png" alt="*"style=float:left;margin-right:5px;/">';
echo 'Список выигрышных комбинаций: <br><br>';

echo"

<font color='lime'>Вишенки</font> - левый столбец - ставка умножается на \"1\"<br>
<font color='lime'>Вишенки</font> - средний столбец - ставка умножается на \"3\"<br>
<font color='lime'>Вишенки</font> - правый столбец - ставка умножается на \"1\"<br>
<br>
<font color='lime'>Апельсины</font> - левый столбец - ставка умножается на \"3\"<br>
<font color='lime'>Апельсины</font> - средний столбец - ставка умножается на \"5\"<br>
<font color='lime'>Апельсины</font> - правый столбец - ставка умножается на \"3\"<br>
<br>
<font color='lime'>Виноград</font> - левый столбец - ставка умножается на \"3\"<br>
<font color='lime'>Виноград</font> -средний столбец - ставка умножается на \"5\"<br>
<font color='lime'>Виноград</font> -правый столбец - ставка умножается на \"3\"<br>
<br>
<font color='lime'>Бананы</font> - левый столбец - ставка умножается на \"2\"<br>
<font color='lime'>Бананы</font> - средний столбец - ставка умножается на \"5\"<br>
<font color='lime'>Бананы</font> - правый столбец - ставка умножается на \"3\"<br>
<br>
<font color='lime'>Яблоки</font> - левый столбец - ставка умножается на \"5\"<br>
<font color='lime'>Яблоки</font> - средний столбец - ставка умножается на \"7\"<br>
<font color='lime'>Яблоки</font> - правый столбец - ставка умножается на \"10\"<br>
<br>
<font color='red'>BAR</font> - левый столбец - ставка умножается на \"10\"<br>
<font color='red'>BAR</font> - средний столбец - ставка умножается на \"15\"<br>
<font color='red'>BAR</font> - правый столбец - ставка умножается на \"10\"<br>
<br>
<font color='orange'>777</font> - левый столбец - ставка умножается на \"25\"<br>
<font color='orange'>777</font> - средний столбец - ставка умножается на \"35\"<br>
<font color='orange'>777</font> - правый столбец - ставка умножается на \"25\"<br>
<br>
<font color='red'>$$$</font> - левый столбец - ставка умножается на \"15\"<br>
<font color='red'>$$$</font> - средний столбец - ставка умножается на \"20\"<br>
<font color='red'>$$$</font> - правый столбец - ставка умножается на \"15\"<br>
<br>
По диагонали<br>
<br>
<font color='lime'>Вишенки</font> - по диагонали - ставка умножается на \"1\" <br>
<font color='lime'>Апельсины</font> - по диагонали - ставка умножается на \"3\"<br>
<font color='lime'>Виноград</font> - по диагонали - ставка умножается на \"5\"<br>
<font color='lime'>Бананы</font> - по диагонали - ставка умножается на \"7\"<br>
<font color='lime'>Яблоки</font> - по диагонали - ставка умножается на \"5\"<br>
<font color='red'>BAR</font> - по диагонали - ставка умножается на \"10\"<br>
<font color='orange'>777</font> - по диагонали - ставка умножается на \"35\"<br>
<font color='red'>$$$</font> - по диагонали - ставка умножается на \"23\"<br> $div
";
echo'<a href="kalancha.php?mod=band">Нaзад</a><br>';

break;
}
@include('conf/navig.php');
@include('conf/foot.php');
?>